-- This file is loaded from "ChatHideRealm.toc"

-- ChatHideRealm
local a,g = getmetatable(DEFAULT_CHAT_FRAME).__index.AddMessage,gsub
getmetatable(DEFAULT_CHAT_FRAME).__index.AddMessage = function(s,t,...)
    if s == ChatFrame2 then return a(s,t,...) end -- combat log
    return a(s,g(t,"|Hplayer:(.-)|h(.-)|h",function(a,b)
        return "|Hplayer:"..a.."|h"..g(b,"-([^%]:]+)(.*)","%2|r").."|h"
    end),...)
end

ChatFrame_AddMessageEventFilter('CHAT_MSG_SYSTEM', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_LOOT', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_CURRENCY', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_COMBAT_HONOR_GAIN', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_COMBAT_XP_GAIN', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_BG_SYSTEM_NEUTRAL', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_BG_SYSTEM_ALLIANCE', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_BG_SYSTEM_HORDE', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_ACHIEVEMENT', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_YELL', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_SAY', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_TEXT_EMOTE', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

ChatFrame_AddMessageEventFilter('CHAT_MSG_EMOTE', function(self, event, msg, ...)
        return false, (msg:gsub('([^\1-\64\91-\96\123-191]+)%-%u%l%a+', '%1')), ...
end)

hooksecurefunc('ChatEdit_UpdateHeader', function(editBox)
    local header = _G[editBox:GetName() .. 'Header']
    if editBox:GetAttribute('chatType') == 'WHISPER' and header then
        _G[editBox:GetName() .. 'HeaderSuffix']:Hide()
        header:SetWidth(0)
        header:SetFormattedText(CHAT_WHISPER_SEND, (strsplit('-', editBox:GetAttribute('tellTarget'))))
        editBox:SetTextInsets(15 + (header:GetRight() or 0) - (header:GetLeft() or 0), 13, 0, 0)
    end
end)

